Skip to main content
POST
/
api
/
v1
/
webhooks
/
{id}
/
test
Test
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Webhooks.Test(ctx, operations.C1APIWebhooksV1WebhooksServiceTestRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.WebhooksServiceTestResponse != nil {
        // handle response
    }
}
{
  "webhook": {
    "attempts": 123,
    "completedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "lastAttemptedAt": "2023-11-07T05:31:56Z",
    "source": {
      "approvalStep": {
        "ticketId": "<string>"
      },
      "policyPostAction": {
        "ticketId": "<string>"
      },
      "provisionStep": {
        "ticketId": "<string>"
      },
      "test": {},
      "workflowStep": {
        "workflowExecutionId": "<string>",
        "workflowStepId": "<string>"
      }
    },
    "spec": {
      "destination": "<string>"
    },
    "state": "WEBHOOK_STATE_UNSPECIFIED",
    "updatedAt": "2023-11-07T05:31:56Z",
    "webhookId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The ID of the webhook to send a test event to.

Body

application/json

The WebhooksServiceTestRequest message.

Response

200 - application/json

Successful response

The WebhooksServiceTestResponse message.

webhook
Webhook Instance · object

The WebhookInstance message.